❖ MatchMove Banking API Specifications

Sections

Theme switcher

Update Statuses

Header Parameters

X-Auth-User-IDstring Required

The matchmove issued user_id for which the request is being made

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

idstring Required

Unique identifier of the remittance recipient. Returned in the id field from POST /{program_code}/v2/users/wallets/payouts/remittances/recipients. This identifier is valid for both user-scoped (/v2/users/...) and admin-scoped (/v2/oauth/...) paths.

Body Parameters

statusstring Required

Action to perform on the recipient status.

  • ACTIVATE - reactivates a deactivated recipient. Not allowed if BLOCKED, DELETED, ACTIVE, or PENDING.
  • DEACTIVATE - temporarily prevents the recipient from being used for transactions. Reversible via ACTIVATE.
  • DELETE - permanently removes the recipient from the user's recipient list. Irreversible.
  • BLOCK - permanently blocks the recipient due to risk reasons. Irreversible.
Enum values:
ACTIVATEDEACTIVATEDELETEBLOCK
commentsstring

Optional comment to record the reason for this status change.

Response

200
Object

OK

Response Attributes

idstring

Unique ID of recipient

messagestring

Response message showing whether it's activated(under review)/deactivated

statusstring


* PENDING - this is the recipient state right after activation is invoked, while it is queued for risk evaluation. Once risk evaluations is completed, recipient would either be updated as active or kept in pending status due to risk hit.
* INACTIVE - this status denotes that the recipient was previously active but is now prevented to perform transactions. This state can be reversed by re-activation.
* DELETED - this status denotes that the recipient is removed from th...

Enum values:
DELETEDBLOCKEDPENDINGINACTIVE
updated_atstring

update timestamp

updated_bystring

the user who has updated the user status.

201
Object

Created

Response Attributes

idstring

Unique ID of recipient

messagestring

Response message showing whether it's activated(under review)/deactivated

statusstring


* PENDING - this is the recipient state right after activation is invoked, while it is queued for risk evaluation. Once risk evaluations is completed, recipient would either be updated as active or kept in pending status due to risk hit.
* INACTIVE - this status denotes that the recipient was previously active but is now prevented to perform transactions. This state can be reversed by re-activation.
* DELETED - this status denotes that the recipient is removed from th...

Enum values:
DELETEDBLOCKEDPENDINGINACTIVE
updated_atstring

update timestamp

updated_bystring

the user who has updated the user status.

400
Object

Bad Request

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

500
Object

Internal Server Error

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Bad Gateway

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

Service Unavailable

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Gateway Timeout

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

PUT

/

Select
1

Response

Was this section helpful?